# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::LockNull Class Reference

This class provides a lock without actually locking. More...

`#include <locknull.h>`

Inheritance diagram for KABC::LockNull:

[legend]
Collaboration diagram for KABC::LockNull:

[legend]
List of all members.

## Public Member Functions

| LockNull (bool allowAccess)
bool | lock ()
bool | unlock ()
QString | error () const

## Detailed Description

This class provides a lock without actually locking.

It can be constructed in two ways: One that let all locks succeed and one that let all locks fail.

Definition at line 34 of file locknull.h.

## Member Function Documentation

bool LockNull::lock | ( |  | ) | `[virtual]`

| Lock resource. Reimplemented from KABC::Lock. Definition at line 39 of file locknull.cpp. References endl(), and kdWarning().

bool LockNull::unlock | ( |  | ) | `[virtual]`

| Unlock resource. Reimplemented from KABC::Lock. Definition at line 51 of file locknull.cpp.

The documentation for this class was generated from the following files:

- locknull.h
- locknull.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:52 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003